summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-05 09:23:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-05 09:23:45 +0700
commit5aee19ba49697f6452fb1bb341ba1309f6e624fe (patch)
tree031de5200fa61254363b04d29c63e6cc312c8a55
parent56d4b52f671207f7e0bfeedb7e3b972992fe93d6 (diff)
downloadslackbuilds-5aee19ba49697f6452fb1bb341ba1309f6e624fe.tar.gz
slackbuilds-5aee19ba49697f6452fb1bb341ba1309f6e624fe.tar.xz
desktop/faba-mono-icons: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/faba-mono-icons/README4
-rw-r--r--desktop/faba-mono-icons/doinst.sh13
-rw-r--r--desktop/faba-mono-icons/faba-mono-icons.SlackBuild60
-rw-r--r--desktop/faba-mono-icons/faba-mono-icons.info10
-rw-r--r--desktop/faba-mono-icons/slack-desc19
5 files changed, 106 insertions, 0 deletions
diff --git a/desktop/faba-mono-icons/README b/desktop/faba-mono-icons/README
new file mode 100644
index 0000000000..5e59a9b5e0
--- /dev/null
+++ b/desktop/faba-mono-icons/README
@@ -0,0 +1,4 @@
+Faba Mono Icons for GNOME, XFCE and other DEs|WMs GTK+.
+
+Faba Mono Icons is a supplementary theme to Faba Icon Theme.
+It consists only of monochrome panel icons.
diff --git a/desktop/faba-mono-icons/doinst.sh b/desktop/faba-mono-icons/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/faba-mono-icons/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/faba-mono-icons/faba-mono-icons.SlackBuild b/desktop/faba-mono-icons/faba-mono-icons.SlackBuild
new file mode 100644
index 0000000000..ff5a750f1d
--- /dev/null
+++ b/desktop/faba-mono-icons/faba-mono-icons.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Slackware build script for faba-mono-icons
+# Homepage: https://github.com/moka-project/faba-mono-icons
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="faba-mono-icons"
+VERSION=${VERSION:-4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/icons
+cp -a Faba-Mono Faba-Mono-Dark $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS INSTALL LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/faba-mono-icons/faba-mono-icons.info b/desktop/faba-mono-icons/faba-mono-icons.info
new file mode 100644
index 0000000000..bc46903b62
--- /dev/null
+++ b/desktop/faba-mono-icons/faba-mono-icons.info
@@ -0,0 +1,10 @@
+PRGNAM="faba-mono-icons"
+VERSION="4.2"
+HOMEPAGE="https://github.com/moka-project/faba-mono-icons"
+DOWNLOAD="https://github.com/moka-project/faba-mono-icons/raw/master/faba-mono-icons-4.2.tar.gz"
+MD5SUM="c620dbcd2a6f720bf4421ee1ef23d938"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/faba-mono-icons/slack-desc b/desktop/faba-mono-icons/slack-desc
new file mode 100644
index 0000000000..0d7371fc1f
--- /dev/null
+++ b/desktop/faba-mono-icons/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+faba-mono-icons: faba-mono-icons (gnome icon theme)
+faba-mono-icons:
+faba-mono-icons: Faba mono icon theme for Slackware.
+faba-mono-icons:
+faba-mono-icons: Faba Mono Icons is a supplementary theme to Faba Icon Theme.
+faba-mono-icons: It consists only of monochrome panel icons.
+faba-mono-icons:
+faba-mono-icons: Home Page: https://github.com/moka-project/faba-mono-icons
+faba-mono-icons:
+faba-mono-icons:
+faba-mono-icons: